version: "3.6"
services:
  client:
    ports:
      - "80:80"
    configs:
      - source: client-dev
        target: /usr/share/nginx/html/index.html
  renderer:
    ports:
      - "81:80"
      - "82:8080"
    volumes:
      - type: bind
        source: ./data/
        target: /data/
  registrar:
    volumes:
      - type: bind
        source: ./data/
        target: /data/
      - type: bind
        source: ./core/
        target: /core/
  cache:
    ports:
      - "83:80"
    volumes:
      - type: bind
        source: ./data/
        target: /data/
    configs:
      - source: mapcache-dev
        target: /mapcache-template.xml
  preprocessor:
    volumes:
      - type: tmpfs
        target: /tmp
      - type: bind
        source: ./preprocessor/
        target: /preprocessor/
